## apt-transport-in-toto 0.1.1

=== requirements.txt ===
in-toto
requests
securesystemslib

=== debian/changelog ===
apt-transport-in-toto (0.1.1-5) unstable; urgency=medium

  [ Lukas Puehringer ]
  * Remove Vagrant from Uploaders list as requested.

  [ Holger Levsen ]
  * Bump standards version to 4.7.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Wed, 25 Sep 2024 22:03:18 +0200

apt-transport-in-toto (0.1.1-4) unstable; urgency=medium

  * d/control: Change gnupg2 to gnupg (Closes: #1055397)
  * d/Dockerfile: Adds Dockerfile used to build this release on macOS

 -- Lukas Puehringer <lukas.puehringer@nyu.edu>  Wed, 08 Feb 2023 17:41:00 +0100

apt-transport-in-toto (0.1.1-3) unstable; urgency=medium

  * Bump standards version
  * Fix debian/watch

 -- Lukas Puehringer <lukas.puehringer@nyu.edu>  Thu, 02 Feb 2023 09:36:09 +0100

apt-transport-in-toto (0.1.1-2) unstable; urgency=medium

  * Source upload for testing migration.

 -- Holger Levsen <holger@debian.org>  Mon, 01 Feb 2021 18:17:03 +0100

apt-transport-in-toto (0.1.1-1) unstable; urgency=low

  * debian/control:
    - Add Frédéric Pierret to Uploaders field
    - Remove Vagrant Cascadian from Uploaders field
    - Bump requirement in-toto (>= 1.0.0)
    - Use quilt format
    - Indicate "debian" branch in Vcs-Git field
  * Add GitHub-tailored debian/watch
  * Add debian/upstream/metadata file
  * Add debian/upstream/signing-key.asc file  (89A2AD3C07D962E8)
  * Add Upstream-Contact to debian/copyright

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Tue, 26 Jan 2021 14:40:00 +0100

apt-transport-in-toto (0.1.0-1) unstable; urgency=low

  *  Initial Debian release. (Closes: #934143)

 -- Lukas Puehringer <lukas.puehringer@nyu.edu>  Thu, 19 Dec 2019 13:37:12 -0100

=== debian/control ===
Source: apt-transport-in-toto
Section: utils
Priority: optional
Maintainer: in-toto developers <in-toto-dev@googlegroups.com>
Uploaders:
 Santiago Torres-Arias <santiago@nyu.edu>,
 Lukas Puehringer <lukas.puehringer@nyu.edu>,
 Holger Levsen <holger@debian.org>,
 Justin Cappos <jcappos@nyu.edu>,
 Frédéric Pierret <frederic.pierret@qubes-os.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-exec,
 python3-all,
 python3-requests,
 python3-mock,
 python3-coverage,
 in-toto (>= 1.0.0),
 gnupg,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://in-toto.io
Vcs-Git: https://github.com/in-toto/apt-transport-in-toto.git -b debian
Vcs-Browser: https://github.com/in-toto/apt-transport-in-toto

Package: apt-transport-in-toto
Architecture: all
Depends:
  ${misc:Depends},
  python3,
  python3-requests,
  python3-securesystemslib,
  in-toto (>= 1.0.0),
  gnupg,
Description: apt transport method for in-toto supply chain verification
 apt-transport-in-toto provides a custom transport method for apt that fetches
 and verifies signed build information from autonomous rebuilders upon package
 installation.
 .
 It uses the supply chain security framework in-toto for its verification
 protocol, to i.a. define trust relationships and exchange and verify build
 information.
 .
 apt-transport-in-toto is developed at the Secure Systems Lab of NYU.

=== debian/watch ===
version=4
opts="searchmode=plain,\
pgpsigurlmangle=s~api.github.com/repos/([^/]+)/([^/]+)/tarball/v(@ANY_VERSION@)~github.com/$1/$2/releases/download/v$3/v$3.tar.gz.asc~,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
https://api.github.com/repos/in-toto/apt-transport-in-toto/releases?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@
